Approve documents to sign

When the signature status changes to user_consent_required and after making the Get signature details request, use this endpoint to confirm that the client has approved the documents to sign and accepted the QTSP legal conditions.

Important Important:
• Before using this endpoint, see the integration guide.
• signatureId and workflowId are string identifiers that can be used interchangeably.
Tip: When testing this endpoint, you must use a real ID document with an MRZ or VIZ.

Path Params
string
required

Our unique identifier for the signature.

Format: uuid string

Example: 790f325a-48c9-4b82-bb53-c0ea128236f0
Tip: This is the same value as the workflowId returned in the Create workflow response.

Query Params
string
enum

The language of the SMS message containing the one-time passcode to confirm the signature.

Format: ISO 639-1 alpha-2
Enum:
• cs: Czech
• de: German
• en: English (default)
• es: Spanish
• fi: Finnish
• fr: French
• it: Italian
• nl: Dutch
• pl: Polish
• sk: Slovak

Body Params
authorizedDocuments
array of objects
required

The documents to sign approved by the client.

authorizedDocuments*
legalDocumentsAccepted
array of objects
required

The QTSP legal conditions accepted by the client.

legalDocumentsAccepted*
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json